export interface Logger {
    verbose(message: string): void;
    info(message: string): void;
    warn(message: string): void;
    error(message: string): void;
}
export declare enum LogLevel {
    None = 0,
    Error = 1,
    Warning = 2,
    Info = 3,
    Verbose = 4,
}
export declare namespace LogLevel {
    function parse(str: string): LogLevel | null;
}
export declare class ConsoleLogger implements Logger {
    private console;
    private level;
    constructor(console: Console, level?: LogLevel);
    verbose(message: string): void;
    info(message: string): void;
    warn(message: string): void;
    error(message: string): void;
    private write(level, message);
}
